Subject: Re: bug#25381: sed 4.3: Test suite partially fails to compile when configured with --with-included-regex.

From: Assaf Gordon <[email-masked]>
Date: Sat, 7 Jan 2017 01:32:53 -0500

Hello,

Thanks for the report!

> On Jan 7, 2017, at 00:29, Juan Manuel Guerrero <[email-masked]> wrote:
> 
> If I configure with the --with-included-regex option at least no one of the
> bug-regex*.c files are linked with with libsed.a. 

Interesting scenario, as I must admit I haven't noticed these tests being used before by anyone or on any system...

Not only the haven't been built correctly, but they wouldn't pass even after being built due to changes in the makefile (switch to non-recursive makefiles).

The attach patch fixes both issues.
However, one test fails.

Not sure if it is relevant or should we disable the test all together.

Will investigate further soon.

regards,
 - assaf